/**
 * Created by VoidArtanis on 10/22/2017
 */

package routes

import (
	"gitlab.com/pactual1/backend/middlewares"

	"gitlab.com/pactual1/backend/controllers"

	"github.com/gin-gonic/gin"
)

func RegisterProtectedRoutes(r *gin.Engine){

	authGroup := r.Group("/auth")

	authGroup.Use(middlewares.AuthHandler("admin"))
	{
		authGroup.GET("/getmessage",controllers.GetSecretText)
	}
}
